;;; .doom.d/config.el -*- lexical-binding: t; -*-

;; Place your private configuration here
;;
;; Load appearance configuration
(load! "+ui")
;; Set projects directories
(setq projectile-project-search-path '("~/Sync/Projects"))
; Auto cleanup recentf
(setq recentf-auto-cleanup '300)
; Save backup files to ~/.cache and autosave files to ~/.cache/emacs
(setq backup-directory-alist `(("." . "~/.cache"))
      auto-save-list-file-prefix
        (concat "~/.cache/emacs"))
;; Set Magit repositories
(setq magit-repository-directories '(("~/Projects" . 2)
                                      ("~/.dotfiles" . 0)
                                      ("~/.doom.d" . 0)))
;; Load org configuration
(after! org (load! "+org"))
;; Disable line numbers and completion in Markdown
(add-hook 'markdown-mode-hook '(lambda () (display-line-numbers-mode -1)))
(after! markdown
  (set-company-backend! 'markdown-mode nil))
;; Reload file from disk without confirmation
(defun revert-buffer-no-confirm ()
  (interactive)
  (revert-buffer :ignore-auto :noconfirm))
;; Select target in Makefile compilation as default
(map! :leader :n "c c" #'makefile-executor-execute-project-target)
;; Choose docsets for Python
(after! python
  (set-docsets! 'python-mode "Python 3" "NumPy" "SciPy" "Pandas" "SQLAlchemy"))
;; Align columns in CSV mode
(add-hook 'csv-mode-hook 'csv-align-mode)
